package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.resp.CoursePackageSimpleResp;
import com.tanpu.community.api.beans.vo.feign.activity.OfflineActivitySimpleResp;
import com.tanpu.community.api.beans.vo.feign.product.FundCompanyVO;
import com.tanpu.community.api.beans.vo.feign.product.ProductInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "附件对象")
public class TopicAttachmentDetail {

    @ApiModelProperty("产品信息")
    private ProductInfoVO fund;
    @ApiModelProperty("新版课程")
    private CoursePackageSimpleResp coursePackage;
    @ApiModelProperty("线下活动")
    private OfflineActivitySimpleResp activity;
    @ApiModelProperty("资管人")
    private FundCompanyVO fundCompany;


}
