package com.tanpu.community.api.beans.vo.feign.product;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@ApiModel("类型")
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Type {

    @ApiModelProperty("类型id")
    private String id;

    @ApiModelProperty("类型value")
    private String value;

    @ApiModelProperty(value = "标签名称", notes = "获客线索用")
    private String labelName;

    @ApiModelProperty("资源数量")
    private Integer resourceNum;

    @ApiModelProperty("扩展字段")
    private String ext;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("基金代码")
    private String fundCode;

    @ApiModelProperty("基金类型")
    private Integer fundType;

    @ApiModelProperty("近一年收益")
    private String ret1y;

    @ApiModelProperty("最新净值")
    private String net;

    @ApiModelProperty("最新净值日期")
    private String netDate;
}
